Description

With the new native libvirt provider smart proxy shows the following error when querying

/dhcp/192.168.122.0 on RHEL 7.2

undefined method `dhcp_leases' for #<Libvirt::Network:0x0000000321b990>

RHEL 7 ships with ruby-libvirt 0.4.0 . This version does not support dhcp_leases for the network object.

When I install ruby-libvirt-0.6.0 directly via rubygems, smart proxy works fine.

We need to either

- document this behaviour (which obviously does not fix the issue)

- package a newer rubygem-ruby-libvirt

Related issues:

Related to Smart Proxy - Feature #13761: Refactor virsh providers into libvir... Closed 02/17/2016

Copied to Packaging - Bug #15462: RHEL 7 provided rubygem-ruby-libvirt breaks... Rejected 06/16/2016

Associated revisions

Revision daeafa9b - 06/20/2016 03:49 AM - Dmitri Dolguikh 

Fixes #15434 - pin ruby-libvirt to > 0.6.0

History

#1 - 06/16/2016 09:25 AM - Dominic Cleal

- Related to Feature #13761: Refactor virsh providers into libvirt with ruby-bindings added

#2 - 06/16/2016 09:30 AM - Dominic Cleal

- translation missing: en.field_release set to 136

Looks like #13761 requires ruby-libvirt 0.6.0 or higher for the dhcp_leases method, but the bundler.d file doesn't specify that requirement.

The rubygem-ruby-libvirt package is actually from EPEL7, so it'd be best to raise a bug against it in Fedora to have it updated.

#3 - 06/16/2016 10:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/435 added

#4 - 06/17/2016 04:34 AM - Dominic Cleal

https://bugzilla.redhat.com/show_bug.cgi?id=1347551 filed for EPEL7 with patch.

Scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=14530405.

05/18/2024 1/2

https://projects.theforeman.org/issues/13761
https://bugzilla.redhat.com/show_bug.cgi?id=1347551
http://koji.fedoraproject.org/koji/taskinfo?taskID=14530405


#5 - 06/20/2016 03:49 AM - Dominic Cleal

- Copied to Bug #15462: RHEL 7 provided rubygem-ruby-libvirt breaks proxy with libvirt added

#6 - 06/20/2016 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset daeafa9b0422088166ba1ef94cb4034c7759c0a8.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/daeafa9b0422088166ba1ef94cb4034c7759c0a8
http://www.tcpdf.org

